Skip to content

Stored only in your browser. Get one under Tokens.

Post a new step to the head of the trail.​

POST
/trails/{id}/steps

Post a new step to the head of the trail. You must include the correct Rev
number that must exactly be one incremented from the previous rev numbers.
In case of conflict creation of steps one will get an error.
In the DB the ID will be composite of trails ID + Rev; this ensures that
it will be unique. Also no step will be added if the previous one does not
exist that. This will include completeness of the step rev sequence.

Authorizations​

ApiKeyAuth
Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

ID|NICK|PRN

Type
string
Required

Request Body​

application/json
JSON
{
  
"commit-msg": "string",
  
"committer": "string",
  
"device": "string",
  
"garbage": true,
  
"id": "string",
  
"mark_public_processed": true,
  
"meta": {
  
  
"additionalProperties": "string"
  
},
  
"owner": "string",
  
"progress": {
  
  
"data": {
  
  
},
  
  
"downloads": {
  
  
  
"objects": [
  
  
  
  
{
  
  
  
  
  
"current_time": 0,
  
  
  
  
  
"object_id": "string",
  
  
  
  
  
"object_name": "string",
  
  
  
  
  
"start_time": 0,
  
  
  
  
  
"total_downloaded": 0,
  
  
  
  
  
"total_size": 0
  
  
  
  
}
  
  
  
],
  
  
  
"total": {
  
  
  
  
"current_time": 0,
  
  
  
  
"object_id": "string",
  
  
  
  
"object_name": "string",
  
  
  
  
"start_time": 0,
  
  
  
  
"total_downloaded": 0,
  
  
  
  
"total_size": 0
  
  
  
}
  
  
},
  
  
"logs": "string",
  
  
"progress": 0,
  
  
"retries": 0,
  
  
"status": "string",
  
  
"status-msg": "string"
  
},
  
"progress-time": "string",
  
"rev": 0,
  
"state": {
  
  
"additionalProperties": "string"
  
},
  
"state-sha": "string",
  
"step-time": "string",
  
"time-created": "string",
  
"time-modified": "string",
  
"trail-id": "string",
  
"used_objects": [
  
  
"string"
  
]
}

Responses​

OK

application/json
JSON
{
  
"device": "string",
  
"factory-state": {
  
  
"additionalProperties": "string"
  
},
  
"id": "string",
  
"last-insync": "string",
  
"last-touched": "string",
  
"owner": "string",
  
"used_objects": [
  
  
"string"
  
]
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI